;; Copyright 2007, 2009, 2015 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (require 'ffap-rfc-space))

RFC 1001
RFC 850
arfc 850

(progn
  ;;   (setq generated-autoload-file "/tmp/ffap-rfc-space-autoloads.el")
  ;;   ;;(if (file-exists-p generated-autoload-file)
  ;;    ;;   (delete-file generated-autoload-file))
  ;;   (write-region (point-min) (point-min) generated-autoload-file)
  ;;   (find-file generated-autoload-file)
  (require 'autoload)
  (switch-to-buffer "x")
  (generate-file-autoloads "../ffap-rfc-space.el"))


(setq debug-on-quit t)

;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))

