;; Copyright 2014, 2016 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


;;-----------------------------------------------------------------------------
;; packages defining labels -- not particularly useful


;; /usr/share/doc/texlive-doc/latex/totpages/totpages.pdf
;; /usr/share/doc/texlive-doc/latex/pageslts/pageslts.pdf
;; cf
;; /usr/share/doc/texlive-doc/latex/oberdiek/zref.pdf

(defconst ac-tex-ref-package-labels
  '(("lastpage"    . ("LastPage"))
    ("lastpage209" . ("LastPage"))
    ("pageslts"    . ("LastPage" "VeryLastPage" "LastPages"))
    ("totpages"    . ("TotPages")))
  "An alist of LaTeX package name and list of labels it defines.
This is an internal part of ac-tex-ref.el.

This is slightly experimental as it's not clear whether these
labels would be wanted for interactive use, though showing all
labels which exist has the benefit of completeness.

Perhaps in the future it will be possible to customize this.")



;; There's some slightly experimental support for packages which
;; define labels such as label \"LastPage\" from
;;
;;     \\=\\usepackage{lastpage}
;; \
;; \\|\
;; \\\\usepackage\\(\\[[^]]*\\]\\)?{\\([^}\n]+\\)}
;;
;; (t
;;  ;; \usepackage{...}
;;  (setq ret (append (cdr (assoc (match-string 4)
;;                                ac-tex-ref-package-labels))
;;                    ret)))
;; , and a few special cases for \\=\\usepackage


;;-----------------------------------------------------------------------------
